﻿using Infragistics.Windows.Ribbon;
using DataBrowser.Infrastructure;
using System.ComponentModel.Composition;
using System.ComponentModel;
using Microsoft.Practices.ServiceLocation;
using DataBrowser.ViewModel;

namespace DataBrowser.Views
{
    /// <summary>
    /// Interaction logic for DefaultMenuView.xaml
    /// </summary>
    [Export(typeof(IDefaultMenuView))]    
    public partial class DefaultMenuView : ApplicationMenu,IDefaultMenuView
    {
        public DefaultMenuView()
        {
            InitializeComponent();
            if (!DesignerProperties.GetIsInDesignMode(this))
            {
                this.DataContext = ServiceLocator.Current.GetInstance<DefaultMenuViewModel>();
            }
        }
    }
}
