﻿using System.ComponentModel.Composition;
using Infragistics.Windows.Ribbon;
using DataBrowser.Infrastructure;
using Microsoft.Practices.ServiceLocation;

namespace DataBrowser.App
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    [Export]
    public partial class Shell : XamRibbonWindow
    {
        public Shell()
        {
            InitializeComponent();
            var applicationMenu = ServiceLocator.Current.GetInstance<IDefaultMenuView>() as ApplicationMenu;
            if (applicationMenu != null)
            {
                myRibbon.ApplicationMenu = applicationMenu;
            }
        }
    }
}
