﻿using System.Windows;
using System.ComponentModel.Composition;

namespace DataBrowser.ViewModel
{
    [Export(typeof(StatusLogViewModel)), PartCreationPolicy(CreationPolicy.NonShared)]
    public class StatusLogViewModel : DependencyObject
    {



        public object StatusData
        {
            get { return (object)GetValue(StatusDataProperty); }
            set { SetValue(StatusDataProperty, value); }
        }

        // Using a DependencyProperty as the backing store for StatusData.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty StatusDataProperty =
            DependencyProperty.Register("StatusData", typeof(object), typeof(StatusLogViewModel));

        
    }
}
